Merge pull request #655 from joshuaboniface/local-web-branch

Support trying local branches in submodule
This commit is contained in:
Joshua M. Boniface 2019-01-21 13:28:40 -05:00 committed by GitHub
commit 571afa4fe2
4 changed files with 30 additions and 8 deletions

18
build
View File

@ -171,10 +171,20 @@ if ! git diff-index --quiet HEAD --; then
fi
git fetch --all
git checkout origin/${web_branch} || {
echo "ERROR: 'jellyfin-web' branch ${web_branch} is invalid."
exit 1
}
# If this is an official branch name, fetch it from origin
official_branches_regex="^master$|^dev$|^release-.*$|^hotfix-.*$"
if [[ ${web_branch} =~ ${official_branches_regex} ]]; then
git checkout origin/${web_branch} || {
echo "ERROR: 'jellyfin-web' branch 'origin/${web_branch}' is invalid."
exit 1
}
# Otherwise, just check out the local branch (for testing, etc.)
else
git checkout ${web_branch} || {
echo "ERROR: 'jellyfin-web' branch '${web_branch}' is invalid."
exit 1
}
fi
popd
# Execute each platform and action in order, if said action is enabled

View File

@ -47,10 +47,20 @@ if ! git diff-index --quiet HEAD --; then
fi
git fetch --all
git checkout origin/${web_branch} || {
echo "ERROR: 'jellyfin-web' branch ${web_branch} is invalid."
exit 1
}
# If this is an official branch name, fetch it from origin
official_branches_regex="^master$|^dev$|^release-.*$|^hotfix-.*$"
if [[ ${web_branch} =~ ${official_branches_regex} ]]; then
git checkout origin/${web_branch} || {
echo "ERROR: 'jellyfin-web' branch 'origin/${web_branch}' is invalid."
exit 1
}
# Otherwise, just check out the local branch (for testing, etc.)
else
git checkout ${web_branch} || {
echo "ERROR: 'jellyfin-web' branch '${web_branch}' is invalid."
exit 1
}
fi
popd
new_version="$1"

View File

@ -45,6 +45,7 @@ jellyfin (10.1.0-1) unstable; urgency=medium
* PR638 Removed XmlTv testfiles and nuget install
* PR639 Fix segment_time_delta for ffmpeg 4.1
* PR646: Fix infinite loop bug on subtitle.m3u8 request
* PR655: Support trying local branches in submodule
* jellyfin-web:
* PR1: Change webcomponents to non-minified version
* PR4: Fix user profile regression

View File

@ -181,6 +181,7 @@ fi
- PR638 Removed XmlTv testfiles and nuget install
- PR639 Fix segment_time_delta for ffmpeg 4.1
- PR646: Fix infinite loop bug on subtitle.m3u8 request
- PR655: Support trying local branches in submodule
- jellyfin-web:
- PR1: Change webcomponents to non-minified version
- PR4: Fix user profile regression